import { DataURLOptions, RenderingPlugin, RenderingPluginContext, Shape } from '@antv/g-lite';
import type { Canvas, InputRect, ManagedSkottieAnimation, Particles } from 'canvaskit-wasm';
import type { FontLoader } from './FontLoader';
import type { CanvaskitRendererPluginOptions, RendererContribution } from './interfaces';
/**
 * @see https://skia.org/docs/user/modules/quickstart/
 */
export declare class CanvaskitRendererPlugin implements RenderingPlugin {
    private canvaskitRendererPluginOptions;
    private rendererContributionFactory;
    private fontLoader;
    static tag: string;
    constructor(canvaskitRendererPluginOptions: CanvaskitRendererPluginOptions, rendererContributionFactory: Record<Shape, RendererContribution>, fontLoader: FontLoader);
    private context;
    private destroyed;
    private animations;
    private particlesList;
    /**
     * This stack is only used by clipPath for now.
     */
    private restoreStack;
    private enableCapture;
    private captureOptions;
    private capturePromise;
    private resolveCapturePromise;
    playAnimation(name: string, jsonStr: string, bounds?: InputRect, assets?: any): ManagedSkottieAnimation;
    createParticles(jsonStr: string, onFrame?: (canvas: Canvas) => void, assets?: any): Particles;
    apply(context: RenderingPluginContext): void;
    private applyCamera;
    private drawAnimations;
    private drawParticles;
    private drawWithSurface;
    private generatePattern;
    private generateGradient;
    private generateGradientsShader;
    private renderDisplayObject;
    toDataURL(options: Partial<DataURLOptions>): Promise<any>;
}
//# sourceMappingURL=CanvaskitRendererPlugin.d.ts.map