import type { CanvasContext, Path } from '@antv/g-lite';
import type { CanvasKit } from 'canvaskit-wasm';
import type { RendererContribution, RendererContributionContext } from '../interfaces';
/**
 * Generate SkPath from G's Path.
 * @see https://api.skia.org/classSkPath.html
 */
export declare function generateSkPath(CanvasKit: CanvasKit, object: Path): import("canvaskit-wasm").Path;
/**
 * @see https://fiddle.skia.org/c/@Canvas_drawPath
 */
export declare class PathRenderer implements RendererContribution {
    private context;
    constructor(context: CanvasContext);
    render(object: Path, context: RendererContributionContext): void;
}
//# sourceMappingURL=Path.d.ts.map