import type { DisplayObject } from '@antv/g-lite';
import type { RendererContribution, RendererContributionContext } from '../interfaces';
/**
 * should account for round rect(RRect)
 * @see https://fiddle.skia.org/c/@Canvas_drawRoundRect
 *
 * An RRect (rectangle with rounded corners) is represented by 12 floats. In order, the floats
 * correspond to left, top, right, bottom and then in pairs, the radiusX, radiusY for upper-left,
 * upper-right, lower-right, lower-left. See RRect.h for more.
 */
export declare class RectRenderer implements RendererContribution {
    render(object: DisplayObject, context: RendererContributionContext): void;
}
//# sourceMappingURL=Rect.d.ts.map